//================================================================
//
// Author:		David 'Noruen' Admek
// Description:		Penumbra shader file
// Date:		25. April 2011
// Version:		1.0
// Shader count:	69
//
// Included shaders:
// ---- (7)  Water
// #PuWater				Sea water
// #PuWaterSky				Sea water in sky box
// #PuWaterSteady			Steady water
// #PuWaterInside			Nasty water
// #PuWaterFlow				Falling water
// #PuWaterStairs			Water on stairs
// #PuWaterSplash			Splash effect
//
// ---- (7)  Item positions
// #PuWeaponPlasma
// #PuWeaponBFG
// #PuWeaponShotgun
// #PuWeaponRocketl
// #PuWeaponRail
// #PuWeaponLight
// #PuItemQuad
//
// ---- (3)  Global effects
// #PuFogWater
// #PuSky
// #PuSkyMountain
//
// ---- (3)  Special effects
// #PuTorchFlareRed
// #PuTorchFlareRed2
// #PuGateAcidian
//
// ---- (3) Special
// #PuBricksSlick
// #PuDeco01_ns
// #PuLamp
//
// ---- (6)  Terrain
// #PuTeSandWay
// #PuTeSandWaves
// #PuTeSandStone
// #PuTeSandGrass
// #PuTeStoneGrass
// #PuTeStoneBStone
//
// ---- (9)  Sponsor logos
// #logo_KotInAction
// #logo_LunarModule
// #logo_Luxology
// #logo_Maverick
// #logo_msNiece
// #logo_ReadyUpRadio
// #logo_Sapphire
// #logo_SteelStorm
// #logo_Wacom
//
// ---- (31)  Vegetation	//all textures by Simon O'Callaghan (Pyramid of the magician) Except PuVine
// #PuVine
// #PuSockVine01
// #PuSockVine02
// #PuSockVine03
// #PuSockVine04
// #PuSockVine05
// #PuSockVine06
// #leave01a		// fern 1
// #leave01b		// fern 2
// #leave01d		// fern (dead)
// #leave02a		// Dock leave
// #leave02b		// Solid flat leave
// #leave02c		// Like a lilly with lots of vains
// #leave02d		// Curvy pointy leave
// #leave03a		// Two tone green
// #leave03b		// Green with yellow edges
// #leave03c		// Green with whitish edges
// #leave04c		// Shiney leave
// #leave04d		// Dead shiney leave
//
//=============================
//
//	Water
//
//=============================
textures/noruen_penumbra/PuWater			//Water around the arena - inside the arena
{
	qer_editorimage textures/noruen_penumbra/PuWater1.tga

	qer_trans 0.5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water

	cull disable
	tessSize 256
	deformVertexes wave 648 sin 0.5 4 0 0.5
//	{
//		map textures/noruen_penumbra/PuWaterRef2.tga
//		tcGen environment
//		rgbGen identity
//		blendFunc add
//	}
	{
		map textures/noruen_penumbra/PuWater2.tga
		tcmod scale 2.25 0.75
		tcmod scroll 0.25 0.15
		rgbGen wave noise 0.9 0.1 0.5 2	//func, amplitude, phase, freq
		blendFunc GL_dst_color GL_one
	}
	{
		map textures/noruen_penumbra/PuWater2.tga
		tcmod scale -1.5 0.75
		tcmod scroll -0.25 -0.15
		rgbGen wave noise 0.9 0.1 0 2	//func, amplitude, phase, freq
		blendFunc GL_dst_color GL_one
	}
	{
		map textures/noruen_penumbra/PuWater1.tga
		tcmod scale 0.75 0.3
		tcmod scroll 0.1 0
		tcMod turb 1 0.03 0.75 0.25
		rgbGen wave noise 0.9 0.1 0.4 1	//func, amplitude, phase, freq
		blendFunc GL_dst_color GL_one
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbGen identity
	}
}
textures/noruen_penumbra/PuWaterSky			//Water around the arena - inside SkyBox
{
	qer_editorimage textures/noruen_penumbra/PuWater1.tga

	qer_trans 0.5
	q3map_globaltexture
	surfaceparm trans

//	cull disable
	{
		map textures/noruen_penumbra/PuWatercolor.tga
//		rgbGen identity
	}
//	{
//		map textures/noruen_penumbra/PuWaterRef2.tga
//		tcmod scale 0.01 0.01
//		rgbGen identity
//		blendFunc add
//		
//	}
	{
		map textures/noruen_penumbra/PuWater2.tga
		tcmod scale 2.25 0.75
		tcmod scroll 0.25 0.15
		rgbGen wave noise 0.9 0.1 0.5 2	//func, amplitude, phase, freq
		blendFunc GL_dst_color GL_one
	}
	{
		map textures/noruen_penumbra/PuWater2.tga
		tcmod scale -1.5 0.75
		tcmod scroll -0.25 -0.15
		rgbGen wave noise 0.9 0.1 0 2	//func, amplitude, phase, freq
		blendFunc GL_dst_color GL_one
	}
	{
		map textures/noruen_penumbra/PuWater1.tga
		tcmod scale 0.75 0.3
		tcmod scroll 0.1 0
		tcMod turb 1 0.03 0.75 0.25
		rgbGen wave noise 0.9 0.1 0.4 1	//func, amplitude, phase, freq
		blendFunc GL_dst_color GL_one
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbGen identity
	}
}
textures/noruen_penumbra/PuWaterSteady			//Clear water inside the arena
{
	qer_editorimage textures/noruen_penumbra/PuWater1.tga

	qer_trans 0.9
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm nolightmap
	{
		map textures/noruen_penumbra/PuWater2.tga
		tcmod scale 0.75 0.75
		tcmod scroll 0.1 0.1
		rgbGen const ( 0.1 0.1 0.1 )
		blendFunc add
	}
	{
		map textures/noruen_penumbra/PuWater2.tga
		tcmod scale -0.75 0.75
		tcmod scroll -0.1 -0.1
		rgbGen const ( 0.1 0.1 0.1 )
		blendFunc add
	}
}
textures/noruen_penumbra/PuWaterInside			//Dirty water in lower area
{
	qer_editorimage textures/noruen_penumbra/PuWater1.tga

	qer_trans 0.75
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm nolightmap

	cull none
	{
		map textures/noruen_penumbra/PuWaterNasty.tga
		tcmod scale 0.25 0.25
		tcMod turb 1 0.01 0.75 0.01
		blendFunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map textures/noruen_penumbra/PuWater2.tga
		tcmod scale 0.75 0.75
		tcmod scroll 0.05 0.05
		rgbGen const ( 0.1 0.1 0.1 )
		blendFunc add
	}
	{
		map textures/noruen_penumbra/PuWater2.tga
		tcmod scale -0.75 0.75
		tcmod scroll -0.05 -0.05
		rgbGen const ( 0.1 0.1 0.1 )
		blendFunc add
	}
}
textures/noruen_penumbra/PuWaterFlow			//Falling one stream of water
{
	qer_editorimage textures/noruen_penumbra/PuWaterFlow.tga

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	cull disable
	deformVertexes autosprite2
	{
		map textures/noruen_penumbra/PuWaterFlow.tga
		tcmod scale 0.5 1
		tcmod scroll 3 0
		rgbGen const ( 0.1 0.1 0.1 )
		blendFunc add
	}
	{
		map textures/noruen_penumbra/PuWaterFlow2.tga
		tcmod scale 0.75 1
		tcmod scroll 3.6 0
		rgbGen const ( 0.1 0.1 0.1 )
		blendFunc add
	}
}
textures/noruen_penumbra/PuWaterStairs			//Water on the stairs
{
	qer_editorimage textures/noruen_penumbra/PuWaterFlow3.tga

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	cull disable
	{
		map textures/noruen_penumbra/PuWaterFlow3.tga
		tcmod scale 1 1
		tcmod scroll -1 0
		rgbGen const ( 0.05 0.05 0.05 )
		blendFunc add
	}
	{
		map textures/noruen_penumbra/PuWaterFlow3.tga
		tcmod scale 0.5 1
		tcmod scroll -1.6 0
		rgbGen const ( 0.05 0.05 0.05 )
		blendFunc add
	}
}
textures/noruen_penumbra/PuWaterSplash			//Splash effect
{
	qer_editorimage textures/noruen_penumbra/PuWaterSplash.tga

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	cull disable
	{
		clampmap textures/noruen_penumbra/PuWaterSplash.tga
		tcmod rotate 10
		tcMod stretch sawtooth 1 0.5 0.25 1.8
		rgbGen wave sin 0.35 0.35 0 1.8	//func, amplitude, phase, freq
		blendFunc add
	}
	{
		clampmap textures/noruen_penumbra/PuWaterSplash.tga
		tcmod rotate -8
		tcMod stretch sawtooth 1 0.5 0.55 1.8
		rgbGen wave sin 0.35 0.35 0.3 1.8	//func, amplitude, phase, freq
		blendFunc add
	}
	{
		clampmap textures/noruen_penumbra/PuWaterSplash.tga
		tcmod rotate 2
		tcMod stretch sawtooth 1 0.5 0.85 1.8
		rgbGen wave sin 0.35 0.35 0.6 1.8	//func, amplitude, phase, freq
		blendFunc add
	}
}
textures/noruen_penumbra/PuWaterColor
{
	qer_editorimage textures/noruen_penumbra/PuWaterColor.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuWaterColor.tga
	}
}
//=============================
//
//	Item Positions
//
//=============================
textures/noruen_penumbra/PuWeaponPlasma
{
	qer_editorimage textures/noruen_penumbra/PuWeaponPlasma.tga
	q3map_surfacelight 350
	q3map_lightImage textures/noruen_penumbra/PuWeaponPlasmaX.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponPlasma.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponPlasmaX.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.5 0.5 0.5 )
	}
}
textures/noruen_penumbra/PuWeaponBFG
{
	qer_editorimage textures/noruen_penumbra/PuWeaponBFG.tga
	q3map_surfacelight 350
	q3map_lightImage textures/noruen_penumbra/PuWeaponBFGX.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponBFG.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponBFGX.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.5 0.5 0.5 )
	}
}
textures/noruen_penumbra/PuWeaponShotgun
{
	qer_editorimage textures/noruen_penumbra/PuWeaponShotgun.tga
	q3map_surfacelight 350
	q3map_lightImage textures/noruen_penumbra/PuWeaponShotgunX.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponShotgun.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponShotgunX.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.5 0.5 0.5 )
	}
}
textures/noruen_penumbra/PuWeaponRocketl
{
	qer_editorimage textures/noruen_penumbra/PuWeaponRocketl.tga
	q3map_surfacelight 350
	q3map_lightImage textures/noruen_penumbra/PuWeaponRocketlX.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponRocketl.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponRocketlX.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.5 0.5 0.5 )
	}
}
textures/noruen_penumbra/PuWeaponRail
{
	qer_editorimage textures/noruen_penumbra/PuWeaponRail.tga
	q3map_surfacelight 350
	q3map_lightImage textures/noruen_penumbra/PuWeaponRailX.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponRail.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponRailX.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.5 0.5 0.5 )
	}
}
textures/noruen_penumbra/PuWeaponLight
{
	qer_editorimage textures/noruen_penumbra/PuWeaponLight.tga
	q3map_surfacelight 350
	q3map_lightImage textures/noruen_penumbra/PuWeaponLightX.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponLight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuWeaponLightX.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.5 0.5 0.5 )
	}
}
textures/noruen_penumbra/PuItemQuad
{
	qer_editorimage textures/noruen_penumbra/PuItemQuad.tga
	q3map_surfacelight 600
	q3map_lightImage textures/noruen_penumbra/PuItemQuadX.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuItemQuad.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuItemQuadX.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.5 0.5 0.5 )
	}
}
textures/noruen_penumbra/PuItemInvis
{
	qer_editorimage textures/noruen_penumbra/PuItemInvisX.tga
	q3map_surfacelight 600
	q3map_lightImage textures/noruen_penumbra/PuItemInvisX.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuItemQuad.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuItemInvisX.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.5 0.5 0.5 )
	}
}
//=============================
//
//	Global Effects
//
//=============================
textures/noruen_penumbra/PuFogWater		//Fog in water
{
	qer_editorimage textures/noruen_acidian/AcFog.tga
	q3map_globaltexture
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm nolightmap
	fogparms ( 0.196078 0.211765 0.219608 ) 64
}
textures/noruen_penumbra/PuSky			//Sky
{
	qer_editorimage textures/noruen_penumbra/PuSky.tga
	skyparms env/noruen/PuSky - -

	q3map_sunExt 0.945098 0.698039 0.384314 150 75 15 1 8		//R G B Int Deg Ele Dev Sampl
	q3map_lightmapFilterRadius 0 8					//self other
	q3map_skylight 100 6						//amount iterations

	q3map_lightImage env/noruen/PuSky_up.tga
	q3map_surfaceLight 40
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}
textures/noruen_penumbra/PuSkyMountain		//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/PuSkyMountain.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 120
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSkyMountain.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
//=============================
//
//	Special Effects
//
//=============================
textures/noruen_penumbra/PuTorchFlareRed
{
	qer_editorimage textures/noruen_penumbra/PuTorchFlareRed.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        deformVertexes autosprite
	sort nearest
	{
		map textures/noruen_penumbra/PuTorchFlareRed.tga
                tcMod stretch sin 1 0.08 0 9.7
		rgbGen wave noise 0.58 0.12 0.6 26.8	//func, amplitude, phase, req
		blendFunc add
	}
}
textures/noruen_penumbra/PuTorchFlareRed2
{
	qer_editorimage textures/noruen_penumbra/PuTorchFlareRed_s2.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        deformVertexes autosprite
	sort nearest
	{
		map textures/noruen_penumbra/PuTorchFlareRed.tga
                tcMod stretch sin 1 0.08 0.4 9.7
		rgbGen wave noise 0.58 0.12 0.2 26.8	//func, amplitude, phase, req
		blendFunc add
	}
}
textures/noruen_penumbra/PuGateAcidian
{
	qer_editorimage textures/noruen_penumbra/PuGateBlue.tga
	q3map_surfacelight 500
	q3map_lightImage textures/noruen_penumbra/PuGateBlue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
//	deformVertexes wave 128 sin 0 2 0 0.25 //div, func, base, amp, pha, frq
	cull disable
	{
		map textures/noruen_penumbra/PuGateBlue.tga
		rgbGen wave noise 0.5 0.3 0 0.45	//func, amplitude, phase, freq
		tcMod turb 0 .015 0.5 0.3 //base(undef), amp, phase, freq
//		blendfunc filter
	}
	{
		map textures/noruen_penumbra/PuGateBlue2.tga
		rgbGen wave sin 0.6 0.2 0 1.7	//func, amplitude, phase, freq
		tcMod turb 0 .02 0 0.2 //base(undef), amp, phase, freq
		blendfunc GL_ONE GL_ONE
	}
}
textures/noruen_penumbra/wood1toplit				//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage	textures/noruen_penumbra/wood1toplit.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	surfaceparm nolightmap

	{
		map textures/noruen_penumbra/wood1toplit.tga
		rgbGen vertex
	}
	{
		map textures/noruen_penumbra/wood1glow.tga
		blendFunc add
		tcMod rotate -6
		rgbGen wave sin .8 .1 0 .6	
	}
	{
		map textures/noruen_penumbra/wood1glow.tga
		blendFunc add
		tcMod rotate 8
	}
}
textures/noruen_penumbra/PuFlameYellow
{
	qer_editorimage textures/sfx/flame2.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}
//=============================
//
//	Terrain
//
//=============================
textures/noruen_penumbra/PuTeSandWay		//Psek s pechodem na pinku
{
        qer_editorimage textures/noruen_penumbra/PuTeSandWay_shader.tga

	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm dust
	surfaceparm nosteps

	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.5 )
	{
		map textures/noruen_penumbra/PuTeSand.tga	// Primary
		//tcMod scale 0.15 0.15
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuTeSandWay.tga	// Secondary (pekrv pedchoz)
		//tcMod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/noruen_penumbra/PuTeSandWaves		//Psek s pechodem na pinku
{
        qer_editorimage textures/noruen_penumbra/PuTeSandWaves_shader.tga

	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm dust
	surfaceparm nosteps

	q3map_globaltexture
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.5 )
	{
		map textures/noruen_penumbra/PuTeSand.tga	// Primary
		//tcMod scale 0.25 0.25
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuTeSandWaves.tga	// Secondary (pekrv pedchoz)
		//tcMod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/noruen_penumbra/PuTeSandStone		//Psek s pechodem na pinku
{
        qer_editorimage textures/noruen_penumbra/PuTeSandStone_shader.tga

	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm dust

	q3map_globaltexture
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/noruen_penumbra/PuTeSand.tga	// Primary
		//tcMod scale 0.125 0.125
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuTeStone.tga	// Secondary (pekrv pedchoz)
		//tcMod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/noruen_penumbra/PuTeSandGrass		//Psek s pechodem na pinku
{
        qer_editorimage textures/noruen_penumbra/PuTeSandGrass_shader.tga

	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm dust
	surfaceparm nosteps

	q3map_globaltexture
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/noruen_penumbra/PuTeSand.tga	// Primary
		//tcMod scale 0.125 0.125
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuTeGrass.tga	// Secondary (pekrv pedchoz)
		//tcMod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/noruen_penumbra/PuTeStoneGrass		//Psek s pechodem na pinku
{
        qer_editorimage textures/noruen_penumbra/PuTeStoneGrass_shader.tga

	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm dust
	surfaceparm nosteps

	q3map_globaltexture
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/noruen_penumbra/PuTeStone.tga	// Primary
		//tcMod scale 0.125 0.125
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuTeGrass.tga	// Secondary (pekrv pedchoz)
		//tcMod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/noruen_penumbra/PuTeStoneBStone	//KmenB s pechodem na Kmen
{
        qer_editorimage textures/noruen_penumbra/PuTeStoneBStone_shader.tga

	surfaceparm nomarks

	q3map_globaltexture
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/noruen_penumbra/PuTeStoneB.tga	// Primary
		//tcMod scale 0.125 0.125
		rgbGen identity
	}
	{
		map textures/noruen_penumbra/PuTeStone.tga	// Secondary (pekrv pedchoz)
		//tcMod scale 0.125 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
//=============================
//
//	Special
//
//=============================
textures/noruen_penumbra/PuBricksSlick
{
	qer_editorimage	textures/noruen_penumbra/PuBricksSlick.tga
	surfaceparm slick
	{
		map textures/noruen_penumbra/PuBricksSlick.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/noruen_penumbra/PuDeco01_ns
{
	qer_editorimage	textures/noruen_penumbra/PuDeco01_ns.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuDeco01.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/noruen_penumbra/PuLamp
{
	qer_editorimage textures/noruen_penumbra/PuLamp.tga
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	cull disable
	{
		map textures/noruen_penumbra/PuLamp.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128		
	}	
}
//=============================
//
//	Sponsor Logos
//	(folder noruen_mmc3logo)
//=============================
textures/noruen_mmc3logo/logo_KotInAction
{
	qer_editorimage textures/noruen_mmc3logo/logo_KotInAction.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	{
		map textures/noruen_mmc3logo/logo_KotInAction.tga
	}
}
textures/noruen_mmc3logo/logo_LunarModule
{
	qer_editorimage textures/noruen_mmc3logo/logo_LunarModule.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	{
		map textures/noruen_mmc3logo/logo_LunarModule.tga
	}
}
textures/noruen_mmc3logo/logo_Luxology
{
	qer_editorimage textures/noruen_mmc3logo/logo_Luxology.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	{
		map textures/noruen_mmc3logo/logo_Luxology.tga
	}
}
textures/noruen_mmc3logo/logo_Maverick
{
	qer_editorimage textures/noruen_mmc3logo/logo_Maverick.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	{
		map textures/noruen_mmc3logo/logo_Maverick.tga
	}
}
textures/noruen_mmc3logo/logo_msNiece
{
	qer_editorimage textures/noruen_mmc3logo/logo_msNiece.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	{
		map textures/noruen_mmc3logo/logo_msNiece.tga
	}
}
textures/noruen_mmc3logo/logo_ReadyUpRadio
{
	qer_editorimage textures/noruen_mmc3logo/logo_ReadyUpRadio.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	{
		map textures/noruen_mmc3logo/logo_ReadyUpRadio.tga
	}
}
textures/noruen_mmc3logo/logo_Sapphire
{
	qer_editorimage textures/noruen_mmc3logo/logo_Sapphire.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	{
		map textures/noruen_mmc3logo/logo_Sapphire.tga
	}
}
textures/noruen_mmc3logo/logo_SteelStorm
{
	qer_editorimage textures/noruen_mmc3logo/logo_SteelStorm.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	{
		map textures/noruen_mmc3logo/logo_SteelStorm.tga
	}
}
textures/noruen_mmc3logo/logo_Wacom
{
	qer_editorimage textures/noruen_mmc3logo/logo_Wacom.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	{
		map textures/noruen_mmc3logo/logo_Wacom.tga
	}
}
//=============================
//
//	Vegetation
//
//=============================
textures/noruen_penumbra/PuVine_ns
{
	qer_editorimage textures/noruen_penumbra/PuVine.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuVine.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}	
}
textures/noruen_penumbra/PuSockVine01		//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/PuSockVine01.tga
	q3map_backShader textures/noruen_penumbra/PuSockVine01_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine01_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine01.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine02		//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/PuSockVine02.tga
	q3map_backShader textures/noruen_penumbra/PuSockVine02_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine02.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine02_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine02.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine03		//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/PuSockVine03.tga
	q3map_backShader textures/noruen_penumbra/PuSockVine03_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine03.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine03_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine03.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine04		//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/PuSockVine04.tga
	q3map_backShader textures/noruen_penumbra/PuSockVine04_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine04.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine04_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine04.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine05		//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/PuSockVine05.tga
	q3map_backShader textures/noruen_penumbra/PuSockVine05_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine05.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine05_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine05.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine06		//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/PuSockVine06.tga
	q3map_backShader textures/noruen_penumbra/PuSockVine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/PuSockVine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/PuSockVine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/tree01_leaves			//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/tree01_leaves.tga
	q3map_backShader textures/noruen_penumbra/tree01_leaves_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/tree01_leaves.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/tree01_leaves_back		//Shader and textures by Simon O'Callaghan, see notes!
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/tree01_leaves.tga
		rgbGen const ( 0.225 0.225 0.225 )
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/mush_top01				//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/mush_top01.tga
//	** Remove the following line if creating the ASE **
	q3map_backShader textures/noruen_penumbra/mush_backface01
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	q3map_nonplanar
	q3map_shadeAngle 179		// Smooth surface

	{
		map textures/noruen_penumbra/mush_top01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/noruen_penumbra/mush_backface01			//Shader and textures by Simon O'Callaghan, see notes!
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/mush_back01.tga
		rgbGen const ( 0.3 0.3 0.3 )
		alphaFunc GE128		
	}	
}

textures/noruen_penumbra/mush_stem01				//Shader and textures by Simon O'Callaghan, see notes!
{
	qer_editorimage textures/noruen_penumbra/mush_stem01.tga
//	q3map_clipModel	** causes problems with AAS

	{
		map textures/noruen_penumbra/mush_stem01.tga
		rgbGen const ( 0.3 0.3 0.3 )
	}	
}
//Following scripts by Simon O'Callaghan
textures/noruen_penumbra/leave01a		// fern 1
{
	qer_editorimage textures/noruen_penumbra/leave01a.tga
	q3map_backShader textures/noruen_penumbra/leave01a_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave01a.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave01a_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave01a.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/noruen_penumbra/leave01b		// fern 2
{
	qer_editorimage textures/noruen_penumbra/leave01b.tga
	q3map_backShader textures/noruen_penumbra/leave01b_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave01b.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave01b_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave01b.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/noruen_penumbra/leave01d		// fern (dead)
{
	qer_editorimage textures/noruen_penumbra/leave01d.tga
	q3map_backShader textures/noruen_penumbra/leave01d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave01d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave01d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave01d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/noruen_penumbra/leave02a		// Dock leave
{
	qer_editorimage textures/noruen_penumbra/leave02a.tga
	q3map_backShader textures/noruen_penumbra/leave02a_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave02a.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave02a_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave02a.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/noruen_penumbra/leave02b		// Solid flat leave
{
	qer_editorimage textures/noruen_penumbra/leave02b.tga
	q3map_backShader textures/noruen_penumbra/leave02b_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave02b.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave02b_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave02b.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/noruen_penumbra/leave02c		// Like a lilly with lots of vains
{
	qer_editorimage textures/noruen_penumbra/leave02c.tga
	q3map_backShader textures/noruen_penumbra/leave02c_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave02c.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave02c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave02c.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/noruen_penumbra/leave02d		// Curvy pointy leave
{
	qer_editorimage textures/noruen_penumbra/leave02d.tga
	q3map_backShader textures/noruen_penumbra/leave02d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave02d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave02d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave02d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/noruen_penumbra/leave03a		// Two tone green
{
	qer_editorimage textures/noruen_penumbra/leave03a.tga
	q3map_backShader textures/noruen_penumbra/leave03a_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave03a.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave03a_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave03a.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/noruen_penumbra/leave03b		// Green with yellow edges
{
	qer_editorimage textures/noruen_penumbra/leave03b.tga
	q3map_backShader textures/noruen_penumbra/leave03b_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave03b.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave03b_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave03b.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}
// ----------------------------------------------------------------------
textures/noruen_penumbra/leave03c		// Green with whitish edges
{
	qer_editorimage textures/noruen_penumbra/leave03c.tga
	q3map_backShader textures/noruen_penumbra/leave03c_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave03c.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave03c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave03c.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/noruen_penumbra/leave04c		// Shiney leave
{
	qer_editorimage textures/noruen_penumbra/leave04c.tga
	q3map_backShader textures/noruen_penumbra/leave04c_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave04c.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave04c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave04c.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

// ----------------------------------------------------------------------
textures/noruen_penumbra/leave04d		// Dead shiney leave
{
	qer_editorimage textures/noruen_penumbra/leave04d.tga
	q3map_backShader textures/noruen_penumbra/leave04d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave04d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}
textures/noruen_penumbra/leave04d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/noruen_penumbra/leave04d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}